--! \file
--
-- This file provides constants for DIO channels.
--

m = {
        data_rate_maximums = { decimal = 100000,
                               binary = 98304,
                               legacy = 192000 }
    }

mt = {
        __index = m,
        __newindex = function (t, n, v)
            error ("cannot change constant " .. 
                   tostring (n) .. " to " .. tostring (v), 2)
        end,
	__metatable = true
    }

return setmetatable(m, mt)
