--[[
	practice struct for holding SXR translation pattern
--]]



json_f = {
	
	_supported_categories = {}
	,description = ""

	--Always set
	,collect = true
	,data_type = "sequential_float32"
	,is_logical = false
	,prerun_balance = { mode="interactive_only" , offset=0 , target_value=0 }
	--============

	,electrical_units = ""
	,output_units = ""
	,source_physical_units = ""
	,sensor_input = {}
	,calibration = {
					{ applied=true , purpose="sensor_scaling" , mode="" , units=""}
					,{ applied=true , purpose="rezero" , mode="defined_slope_intercept" , slope=1 , intercept=0 }
					,{ applied=true , purpose="units_conversion" , mode="defined_slope_intercept" , slope=1 , intercept=0,units=""}
					}

	--the other rows are generated based on sensor type, but these here are always present (I think)
}





function json_f:new( ) --can't use O2 method of setmetatable( new_f , self ), since looping through elements	
	local new_f = copy_values( {} , self )
	return new_f
end
	
function copy_values( new , old )
	for k,v in pairs( old ) do
		if type(v) == 'table' then
			new[k] = {}
			copy_values( new[k] , v )
		else
			new[k] = v
		end
	end
	return new
end



return json_f