local m = {}

-- setup-compiler module support

local cm_mt = {__index = m}

function m:cm_new(args)
    return setmetatable(args or {}, cm_mt)
end

function m:cm_run(name)
    local o = {}
    local edges = self.node.input_edges
    for i = 1, #edges do
        o[#o + 1] = self.compiler:template({output = false}, [==[
        |    (=edge_buf=).count = 0
        ]==], {edge_buf = edges[i].buf})
    end
    return table.concat(o)
end

return m
