#!/usr/bin/lua

local ev = require 'ev'
local loop = ev.Loop.default
local ledlib = require('led_lib'):new(loop)
assert(ledlib)
local log = require 'log'

local fh, str, blocks, used = nil, nil, nil, nil

local function led_timer()
    fh = io.popen('df | grep /dev/sda2')
    str = tostring(fh:read('*all'))
    fh:close()
    blocks, used = nil, nil
    if str then
        blocks, used = str:match('sda2%s+(%d+)%s+(%d+)')
        blocks, used = tonumber(blocks), tonumber(used)
    end
    if not blocks or not used then
        log:warn("Error reading from /storage")
    end
    if blocks and used and blocks - used > 80 then
        --local previous = ledlib:get_previous_led_state('red')
        --ledlib:SetLED(previous, "red")
        ledlib:SetLED("off", "red")
    end
end

ev.Timer.new(led_timer, 1, 1):start(loop)
loop:loop()
