local ffi = require 'ffi'

ffi.cdef[[
    uint32_t crc32(uint32_t crc, const uint8_t *buf, int len);
    uint32_t crc32_combine(uint32_t crc1, uint32_t crc2, int64_t len2);
]]

local zlib = ffi.load('libz.so.1')

return zlib
